co.aikar.commands

## Class SpongeCommandOperationContext

- java.lang.Object
- - co.aikar.commands.CommandOperationContext
  - - co.aikar.commands.SpongeCommandOperationContext

    public class SpongeCommandOperationContext
    extends co.aikar.commands.CommandOperationContext

### Method Summary

All Methods Instance Methods Concrete Methods
`org.spongepowered.api.command.CommandResult` `getResult()`
`void` `setResult(org.spongepowered.api.command.CommandResult result)`

### Methods inherited from class co.aikar.commands.CommandOperationContext

`getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getCommand, getCommandIssuer, getCommandLabel, getCommandManager, getRegisteredCommand, hasAnnotation, isAsync, setRegisteredCommand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getResult

    public org.spongepowered.api.command.CommandResult getResult()

#### setResult

    public void setResult(org.spongepowered.api.command.CommandResult result)